/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/**
 * 
 */
package jp.mosp.mospcommon.system;

import java.io.Serializable;
import java.util.Date;

/**
 * 労使協定情報
 * @author yoshida
 *
 */
public interface AgreementBaseInfo extends Serializable {
	
	/**
	 * @return 労使協定コード。
	 */
	String getAgreeCode();
	
	/**
	 * @return 社員コード
	 */
	String getKCode();
	
	/**
	 * @return 給与グループコード。
	 */
	String getSalaryGrpCd();
	
	/**
	 * @return 時間外協定コード。
	 */
	String getOverTimeCode();
	
	/**
	 * @return 休出協定コード。
	 */
	String getWorkOnCode();
	
	/**
	 * @return 時間外協定業務の種類。
	 */
	String getOverWorkTypeName();
	
	/**
	 * @return 時間外協定具体的事由。
	 */
	String getOverCause();
	
	/**
	 * @return 時間外協定協定種類。
	 */
	String getOverAgreeType();
	
	/**
	 * @return 限度基準コード。
	 */
	String getLimitCode();
	
	/**
	 * @return 時間外割増賃金率。
	 */
	int getOverTimeRate();
	
	/**
	 * @return 月60時間時間外警告時間。
	 */
	int getCautionMonth();
	
	/**
	 * @return 月60時間時間外割増賃金率。
	 */
	int getMonthlyOverTimeRate();
	
	/**
	 * @return 代替休暇取得割増賃金率。
	 */
	int getSubAcquireRate();
	
	/**
	 * @return 代替休暇取得休日割増賃金率。
	 */
	int getSubAcquireHolidayRate();
	
	/**
	 * @return 代替休暇放棄割増賃金率。
	 */
	int getSubQuitRate();
	
	/**
	 * @return 時間外協定開始年月日。
	 */
	Date getOverStartDate();
	
	/**
	 * @return 休出協定業務の種類。
	 */
	String getWorkOnWorkTypeName();
	
	/**
	 * @return 休出協定具体的事由。
	 */
	String getWorkOnCause();
	
	/**
	 * @return 所定休日。
	 */
	String getStandardWeekHoliday();
	
	/**
	 * @return 法定休日。
	 */
	String getOfficialHoliday();
	
	/**
	 * @return 国民の祝日フラグ。
	 */
	String getJapaneseHolidayFlag();
	
	/**
	 * @return 祝祭日マスタフラグ。
	 */
	String getHolidayMasterFlag();
	
	/**
	 * @return 所定休日割増賃金率。
	 */
	int getStandardHolidayRate();
	
	/**
	 * @return 法定休日割増賃金率。
	 */
	int getOfficialHolidayRate();
	
	/**
	 * @return 休出日数。
	 */
	int getNumberOfWorkOn();
	
	/**
	 * @return 休出開始時刻。
	 */
	int getWorkOnStartTime();
	
	/**
	 * @return 休出終了時刻。
	 */
	int getWorkOnEndTime();
	
	/**
	 * @return 休出協定開始年月日。
	 */
	Date getWorkOnStartDate();
	
	/**
	 * @return 限度基準名称。
	 */
	String getLimitName();
	
	/**
	 * @return 期間の種類。
	 */
	String getTermType();
	
	/**
	 * @return 所定労働時間。
	 */
	int getPrescribedTime();
	
	/**
	 * @return 1日の警告時間。
	 */
	int getCautionDay();
	
	/**
	 * @return 指定期間の警告時間。
	 */
	int getCautionTerm();
	
	/**
	 * @return 1年の警告時間。
	 */
	int getCautionYear();
	
	/**
	 * @return 一日の限度時間。
	 */
	int getLimitDay();
	
	/**
	 * @return 指定期間の限度時間。
	 */
	int getLimitTerm();
	
	/**
	 * @return 1年の限度時間。
	 */
	int getLimitYear();
	
	/**
	 * @return 指定期間の割増率。
	 */
	int getRateTerm();
	
	/**
	 * @return 1年の割増率。
	 */
	int getRateYear();
	
}
